## NMSettingOlpcMesh

NMSettingOlpcMesh

## Functions

NMSetting * | nm_setting_olpc_mesh_new ()
GBytes * | nm_setting_olpc_mesh_get_ssid ()
guint32 | nm_setting_olpc_mesh_get_channel ()
const char * | nm_setting_olpc_mesh_get_dhcp_anycast_address ()

## Properties

guint | channel | Read / Write / Construct
gchar * | dhcp-anycast-address | Read / Write
GBytes * | ssid | Read / Write

## Types and Values

#define | NM_SETTING_OLPC_MESH_SETTING_NAME
#define | NM_SETTING_OLPC_MESH_SSID
#define | NM_SETTING_OLPC_MESH_CHANNEL
#define | NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

## Object Hierarchy

        GObject
        ╰── NMSetting
            ╰── NMSettingOlpcMesh

## Description

## Functions

### nm_setting_olpc_mesh_new ()

    NMSetting *
    nm_setting_olpc_mesh_new (void);

Creates a new NMSettingOlpcMesh object with default values.

#### Returns

the new empty NMSettingOlpcMesh object

### nm_setting_olpc_mesh_get_ssid ()

    GBytes *
    nm_setting_olpc_mesh_get_ssid (NMSettingOlpcMesh *setting);

#### Returns

.

[transfer none]

### nm_setting_olpc_mesh_get_channel ()

    guint32
    nm_setting_olpc_mesh_get_channel (NMSettingOlpcMesh *setting);

### nm_setting_olpc_mesh_get_dhcp_anycast_address ()

    const char *
    nm_setting_olpc_mesh_get_dhcp_anycast_address
                                   (NMSettingOlpcMesh *setting);

## Types and Values

### NM_SETTING_OLPC_MESH_SETTING_NAME

    #define NM_SETTING_OLPC_MESH_SETTING_NAME "802-11-olpc-mesh"

### NM_SETTING_OLPC_MESH_SSID

    #define NM_SETTING_OLPC_MESH_SSID                 "ssid"

### NM_SETTING_OLPC_MESH_CHANNEL

    #define NM_SETTING_OLPC_MESH_CHANNEL              "channel"

### NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

    #define NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS "dhcp-anycast-address"

## Property Details

### The `“channel”` property

      “channel”                  guint

Channel on which the mesh network to join is located.

Flags: Read / Write / Construct

Default value: 0

### The `“dhcp-anycast-address”` property

      “dhcp-anycast-address”     gchar *

Anycast DHCP MAC address used when requesting an IP address via DHCP. The specific anycast address used determines which DHCP server class answers the request.

Flags: Read / Write

Default value: NULL

### The `“ssid”` property

      “ssid”                     GBytes *

SSID of the mesh network to join.

Flags: Read / Write